package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.AssetsComplaintSelectDTO;
import com.dayou.entity.AssetsComplaint;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.AssetsComplaintVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 资产业务项目投诉表 Mapper 接口
 * </p>
 *
 * @author GouGengquan
 * @since 2025-07-16
 */
public interface AssetsComplaintMapper extends CustomBaseMapper<AssetsComplaint> {

    /**
     * 查询投诉信息分页
     * @param dto 查询参数
     * @return List<AssetsComplaintVO>
     */
    Page<AssetsComplaintVO> pageData(@Param("page") Page page,@Param("dto") AssetsComplaintSelectDTO dto);

    /**
     * 查询投诉信息集合
     * @param dto 查询参数
     * @return List<AssetsComplaintVO>
     */
    List<AssetsComplaintVO> listData(@Param("dto") AssetsComplaintSelectDTO dto);

}
