package com.dayou.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class AssetsComplaintSelectDTO {

    /**
     * 投诉人用户id
     */
    private Long complainantId;

    /**
     * 被投诉项目负责人用户id
     */
    private Long respondentId;

    /**
     * 部门id
     */
    private Long departmentId;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 关联的资产业务项目编号
     */
    private String orderId;

    /**
     * 投诉状态枚举(待确认、已确认、撤销)
     */
    private String state;

    /**
     * 投诉类型(内部投诉、外部投诉)
     */
    private String complainantType;

    /**
     * 筛选开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    /**
     * 筛选结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

}
