package com.dayou.dto;

import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.math.BigDecimal;


@Data
public class PersonalFacePriceQueryDTO {

    /**
     * 口估地址
     */
    @AbcValidate(required = true,message = "房屋坐落或小区名字不能为空" , fun = Check.NotEmpty)
    private String queryTarget;

    /**
     * 时间范围
     */
    @AbcValidate(required = true,message = "时间范围不能为空" , fun = Check.NotEmpty)
    private String limit;

    /**
     * 面积区间
     */
    private BigDecimal acreageMin;

    /**
     * 面积区间
     */
    private BigDecimal acreageMax;

    /**
     * 查询面积
     */
    private BigDecimal acreage;

}
