package com.dayou.entity;
import com.dayou.common.BaseEntity;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 资产业务项目投诉表
 * </p>
 *
 * @author GouGengquan
 * @since 2025-07-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "资产业务项目投诉表")
public class AssetsComplaint extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 投诉类型枚举(内部/外部)
     */
    private String complainantType;

    /**
     * 投诉人用户id
     */
    private Long complainantId;

    /**
     * 被投诉项目负责人
     */
    private Long respondentId;

    /**
     * 投诉原因
     */
    @ImportCell
    @ExportCell(columnName = "投诉原因")
    private String reason;

    /**
     * 关联的资产业务id
     */
    private Long businessId;

    /**
     * 关联的资产业务项目编号
     */
    @ImportCell
    @ExportCell(columnName = "关联的资产业务项目编号")
    private String orderId;

    /**
     * 投诉状态枚举(待确认、已确认、撤销)
     */
    @ImportCell
    @ExportCell(columnName = "投诉状态枚举(待确认、已确认、撤销)")
    private String state;

    /**
     * 审核人id
     */
    private Long checkerId;

    /**
     * 确认投诉时间
     */
    @ImportCell
    @ExportCell(columnName = "审核时间")
    private LocalDateTime checkDate;


}
