package com.dayou.entity;

import com.dayou.annotation.ExcelSheet;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 业务号回收
 * </p>
 *
 * @author wucl
 * @since 2025-07-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "业务号回收")
public class BusinessNumberRecycle extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 取号类型
     */
    private String takeType;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 月份
     */
    private Integer month;

    /**
     * 回收的号码
     */
    private Integer recycleNo;

    /**
     * 状态：0未取 1已取
     */
    private Boolean state;


}
