package com.dayou.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

@Data
public class AssetsComplaintVO {

    /**
     * 主键自增id
     */
    protected Long id;

    /**
     * 投诉类型枚举(内部/外部)
     */
    private String complainantType;

    /**
     * 投诉人用户id
     */
    private Long complainantId;

    /**
     * 投诉人用户名
     */
    private String complainantName;

    /**
     * 被投诉项目负责人用户id
     */
    private Long respondentId;

    /**
     * 被投诉项目负责人用户名
     */
    private String respondentName;

    /**
     * 投诉原因
     */
    private String reason;

    /**
     * 关联的资产业务id
     */
    private Long businessId;

    /**
     * 关联的资产业务项目编号
     */
    private String orderId;

    /**
     * 投诉状态枚举(待确认、已确认、撤销)
     */
    private String state;

    /**
     * 审核人id
     */
    private Long checkerId;

    /**
     * 审核人姓名
     */
    private String checkerName;

    /**
     * 审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime checkDate;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date created;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date modified;

    /**
     * 标志位
     */
    private Boolean deleted;

}
