package com.dayou.service;

import com.dayou.dto.AssetsComplaintSelectDTO;
import com.dayou.entity.AssetsComplaint;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.vo.AssetsComplaintVO;

import java.util.List;

/**
 * <p>
 * 资产业务项目投诉表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2025-07-16
 */
public interface IAssetsComplaintService extends IService<AssetsComplaint> {

    /**
     * 查询投诉信息分页
     * @param dto 查询参数
     * @return List<AssetsComplaintVO>
     */
    Page<AssetsComplaintVO> selectPage(Page page, AssetsComplaintSelectDTO dto);

    /**
     * 查询投诉信息集合
     * @param dto 查询参数
     * @return List<AssetsComplaintVO>
     */
    List<AssetsComplaintVO> listData(AssetsComplaintSelectDTO dto);

    /**
     * 撤销投诉
     * @param id 主键id
     * @return Boolean
     */
    Boolean cancelComplaint(Long id);

    /**
     * 确认投诉
     * @param id 主键id
     * @return Boolean
     */
    Boolean confirmComplaint(Long id);

    AssetsComplaint detail(Long id);

    /**
     * 新增投诉
     * @param assetsComplaint 投诉信息
     * @return Boolean
     */
    Boolean add(AssetsComplaint assetsComplaint);

    Boolean update(AssetsComplaint assetsComplaint);

    Boolean delete(Long id);

}
